function [surr] = add_pop(pop, surr)
% ADD_POP() adds points from the population to the surrogate

assert(isa(surr, 'Surrogate'));

% Need to add only solutions that are evaluated truely

x = zeros(pop.size, surr.nx);
y = zeros(pop.size, pop.nf+pop.ng);
count=0;
for i = 1:pop.size
	if pop.eval(i) == 1
		x(count+1,:) = convert_x(pop.object, pop.x{i});
		y(count+1,:) = [pop.f(i,:) pop.g(i,:)];
		count = count+1;
	end
end
surr = add_points(surr, x(1:count,:), y(1:count,:));
return
