function [pop] = sort_nd_maxcv(pop)

pop.nd_rank = zeros(pop.size,1);
pop.crowd = zeros(pop.size,1);

feasible = find(pop.feas == 1);
infeasible = find(pop.feas == 0);

ranks1 = [];
if ~isempty(feasible)
	[ranks1, nd_rank, crowd] = sort_obj(pop.f, feasible);
	pop.nd_rank(feasible) = nd_rank(feasible);
	pop.crowd(feasible) = crowd(feasible);
end

ranks2 = [];
if ~isempty(infeasible)
	ranks2 = sort_constr(pop.cv, infeasible);
end

assert(length(ranks1) + length(ranks2) == pop.size);
pop.rank = [ranks1; ranks2];
return
