%% Evaluate sample population
function [pop, ea] = Evaluate(config, filename, N)

ea = EA(config, 'eval');
pop = Population(ea.object, N, ea.prob);
fp = fopen(filename, 'r');
pop = load(pop, fp, 0);
fclose(fp);
pop = eval(pop, ea.analysis);

filename2 = sprintf('%s.output', filename);
fp = fopen(filename2, 'w');
save(pop, 1, fp);
fclose(fp);

return
