%% Animate the result
function animate(config, algo)

ea = EA(config, algo);

filename = sprintf('%s-%s-all.dat', config, algo);
fid = fopen(filename, 'r');
ind = Individual(ea.object, ea.prob);
for i = 1:ea.param.generations
	try
		ind = load(ind, fid);	
		plot(ea.object, ind.x);
		figure(2);
		title(sprintf('Generation %d', i));
		drawnow;
		I = getframe(gcf);
		imfile = sprintf('%s-%03d.png', config, i);
		imwrite(I.cdata, imfile, 'PNG');
	catch
		warning(lasterr);
		break
	end
end
fclose(fid);

return

