param.pop_size = 100;
param.generations = 2000;

param.crossover_prob = 0.9;
param.crossover_sbx_eta = 10;
param.mutation_prob = 0.1;
param.mutation_poly_eta = 20;

param.seed = 20;
param.batch_mode = 0;
param.max_fn_evals = 200000;
param.analysis_cache = 0;

param.train_period = 5;
param.retain_count = 20;

% 0 is adaptive cluster
param.surr_num_clusters = 1;
% param.surr_type = {'orsm', 'rsm', 'orbf', 'rbf' };
param.surr_type = {'rsm', 'rbf' };
% Takes the last 1000 from the archive
param.surr_max_traincount = 1000;
param.surr_train_ratio = 0.9;
% epsilon for selection of points to be added to archive
param.surr_add_crit = 1.e-5;
% prediction error ration
param.surr_mse_threshold = 0.05;
% ratio of the solid diagonal beyond which evaluate instead of
% approximation
param.surr_pred_dist = 0.20;

% ratio of infeasible solutions
param.infeasible_ratio = 0.10;
% Strategy 2 is IDEA
param.infeasible_strategy = 2;
