%% Save Best
function save_best(ea)

filename = sprintf('%s-%s-best.dat', ea.config, ea.algo);
fid = fopen(filename, 'w');

total = 0;
for i = 1:length(ea.best.feas)
	total = ea.best.fn_evals(i);
	fprintf(fid, '%4d %5d %2d ', i, total, ea.best.feas(i));
	fprintf(fid, ' %g', ea.best.f(i,:));
	if ea.prob.ng > 0
		fprintf(fid, ' %g', ea.best.g(i,:));
	end
	fprintf(fid, ' %s', str(ea.best.x{i}));
	fprintf(fid, '\n');
end

fclose(fid);

return
