function [pop] = promote_infeasible(pop, N_inf)

% promote infeasible solutions
if sum(pop.feas) > 0
	new_rank = zeros(pop.size,1);
	index1 = 1;
	index2 = N_inf + 1;
	for i = 1:pop.size
		id = pop.rank(i);
		if pop.feas(id) == 0 && index1 <= N_inf
			new_rank(index1) = id;
			index1 = index1+1;
		else
			new_rank(index2) = id;
			index2 = index2 + 1;
		end
	end
	pop.rank = new_rank;
end

return
